package com.lz.modules.flow.req;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*流程图，lz_flow的父
* @author quyixiao
* @since 2020-10-16
*/


@Data
@ApiModel(value = "流程图Req")
public class FlowChartReq implements java.io.Serializable {
  
    @ApiModelProperty(value = "currPage", name = "当前页码")
    private int currPage = 1;
    @ApiModelProperty(value = "pageSize", name = "每页返回条数")
    private int pageSize = 10;
    @ApiModelProperty(value = "sort", name = "类型")
    private String sort;
    @ApiModelProperty(value = "order", name = "排序")
    private String order;
    //
    private Long id;
    //
    @ApiModelProperty(value = "", name = "isDelete")
    private Integer isDelete;
    //
    @ApiModelProperty(value = "", name = "gmtCreate")
    private Date gmtCreate;
    //
    @ApiModelProperty(value = "", name = "gmtModified")
    private Date gmtModified;
    //
    @ApiModelProperty(value = "", name = "name")
    private String name;
    //flow_manager表中id
    @ApiModelProperty(value = "flow_manager表中id", name = "processId")
    private Long processId;
    //是否可允许不启用节点 0不可，1可以
    @ApiModelProperty(value = "是否可允许不启用节点 0不可，1可以", name = "status")
    private Integer status;
    //1可配置细节，0不可配置细节，一般线下操作。比如执行中
    @ApiModelProperty(value = "1可配置细节，0不可配置细节，一般线下操作。比如执行中", name = "type")
    private Integer type;
    //执行步骤，第几步，从0开始
    @ApiModelProperty(value = "执行步骤，第几步，从0开始", name = "stepIndex")
    private Integer stepIndex;
    //描述，前端提示，如果有值就提示
    @ApiModelProperty(value = "描述，前端提示，如果有值就提示", name = "desc")
    private String desc;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     *  
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     *  
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     *  
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     *  
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     *  
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * flow_manager表中id 
     * @return
     */
    public Long getProcessId() {
        return processId;
    }
    /**
     * flow_manager表中id 
     * @param processId
     */
    public void setProcessId(Long processId) {
        this.processId = processId;
    }

    /**
     * 是否可允许不启用节点 0不可，1可以 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 是否可允许不启用节点 0不可，1可以 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 1可配置细节，0不可配置细节，一般线下操作。比如执行中 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 1可配置细节，0不可配置细节，一般线下操作。比如执行中 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 执行步骤，第几步，从0开始 
     * @return
     */
    public Integer getStepIndex() {
        return stepIndex;
    }
    /**
     * 执行步骤，第几步，从0开始 
     * @param stepIndex
     */
    public void setStepIndex(Integer stepIndex) {
        this.stepIndex = stepIndex;
    }

    @Override
    public String toString() {
        return "FlowChart{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",name=" + name +
                ",processId=" + processId +
                ",status=" + status +
                ",type=" + type +
                ",stepIndex=" + stepIndex +
                "}";
    }
}